Forum Xamarin.Android

Which version of mono for android is targeted?

Hi

First of all how to find which version of mono android xamarin-visual studio linking? in the project properties I can find only fields like attached in image.

Second, How to change the target mono version?
By default I see that

C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\MonoAndroid\v1.0\System.Data.dll

v1 is linked. (Copied path from properties page of reference).

Posts

  • Well, more info:

    Actually i downloaded a xamarin trial version and created a PCL project (for android mainly). I am not able to see which version of mono framework it is linking

  • Xamarin.Android uses the .NET framework on Windows, if I understand correctly. This is true for both Visual Studio and Xamarin Studio.

  • Thanks for reply....But I really did not get u.

    "Xamarin.Android uses the .NET framework on Windows" - Does this mean that it is not using monoandroid to link and compile the code in Visual Studio? Then what is there in "\Microsoft\Framework\MonoAndroid" ??

  • You don't need to install www.mono-project.com on Windows to get your Xamarin.Android .NET code to compile. You will still need the Xamarin.Android SDK downoad. For PCLs, I recommend having .NET framework 4.5.1 and using Profile78.

  • Ok, I did not install mono framework as such on windows. However i just installed xamarin from xamarin installer. That itself installed me "C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\MonoAndroid\v1.0\" folder.

Sign In or Register to comment.